Author Topic: wombat stop working after update to 0.9.5-77  (Read 671 times)

emel_punk

  • Jr. Member
  • **
  • Posts: 92
  • Karma: 0
    • View Profile
    • Email
wombat stop working after update to 0.9.5-77
« on: May 20, 2016, 20:20:59 »
as the subject says after an update because I was unable to put to work my campaing with a queue endpoint, the dialer is unable to start. on Catalina.out log file I see the following error:

May 20, 2016 2:15:04 PM ch.loway.app.wombat.dialer.LogSyslog logMe
SEVERE: Error logging error msg:Restarting
When opening  got error: -- Inner Exception --
Exception: java.sql.SQLException
Error:
No suitable driver found for
Stack trace:
java.sql.SQLException: No suitable driver found for
        at java.sql.DriverManager.getConnection(DriverManager.java:602)
        at java.sql.DriverManager.getConnection(DriverManager.java:207)
        at it.loway.tpf.SQL.openConnection(SQL.java:66)
        at ch.loway.app.wombat.dialer.LogSyslog.logMe(LogSyslog.java:35)
        at ch.loway.app.wombat.dialer.LogSyslog.log(LogSyslog.java:71)
        at ch.loway.app.wombat.dialer.WombatDialerWatchdog.logSyslog(WombatDialerWatchdog.java:245)
        at ch.loway.app.wombat.dialer.WombatDialerWatchdog.startChildren(WombatDialerWatchdog.java:194)
        at ch.loway.app.wombat.dialer.WombatDialerWatchdog.run(WombatDialerWatchdog.java:61)
        at ch.loway.oss.slicedbread.MessagingConsole$1.run(MessagingConsole.java:191)
        at java.lang.Thread.run(Thread.java:662)
-- End Inner Exception --

        at it.loway.tpf.SQL.openConnection(SQL.java:70)
        at ch.loway.app.wombat.dialer.LogSyslog.logMe(LogSyslog.java:35)
        at ch.loway.app.wombat.dialer.LogSyslog.log(LogSyslog.java:71)
        at ch.loway.app.wombat.dialer.WombatDialerWatchdog.logSyslog(WombatDialerWatchdog.java:245)
        at ch.loway.app.wombat.dialer.WombatDialerWatchdog.startChildren(WombatDialerWatchdog.java:194)
        at ch.loway.app.wombat.dialer.WombatDialerWatchdog.run(WombatDialerWatchdog.java:61)
        at ch.loway.oss.slicedbread.MessagingConsole$1.run(MessagingConsole.java:191)
        at java.lang.Thread.run(Thread.java:662)
May 20, 2016 2:15:04 PM org.hibernate.util.JDBCExceptionReporter logExceptions
SEVERE: No suitable driver found for
May 20, 2016 2:15:04 PM ch.loway.app.wombat.dialer.LogSyslog logMe
SEVERE: Write Syslog:Crashed|-- Inner Exception --
Exception: org.hibernate.exception.JDBCConnectionException
Error:
Cannot open connection
Stack trace:
org.hibernate.exception.JDBCConnectionException: Cannot open connection
        at org.hibernate.exception.SQLStateConverter.conve...||
May 20, 2016 2:15:04 PM ch.loway.app.wombat.dialer.LogSyslog logMe
SEVERE: Error logging error msg:Crashed
When opening  got error: -- Inner Exception --
Exception: java.sql.SQLException
Error:
No suitable driver found for
Stack trace:
java.sql.SQLException: No suitable driver found for
        at java.sql.DriverManager.getConnection(DriverManager.java:602)
        at java.sql.DriverManager.getConnection(DriverManager.java:207)
        at it.loway.tpf.SQL.openConnection(SQL.java:66)
        at ch.loway.app.wombat.dialer.LogSyslog.logMe(LogSyslog.java:35)
        at ch.loway.app.wombat.dialer.LogSyslog.log(LogSyslog.java:71)
        at ch.loway.app.wombat.dialer.DbLayer.logSyslog(DbLayer.java:299)
        at ch.loway.app.wombat.dialer.WombatDialerProcess.run(WombatDialerProcess.java:127)
        at ch.loway.oss.slicedbread.MessagingConsole$1.run(MessagingConsole.java:191)
        at java.lang.Thread.run(Thread.java:662)
-- End Inner Exception --

        at it.loway.tpf.SQL.openConnection(SQL.java:70)
        at ch.loway.app.wombat.dialer.LogSyslog.logMe(LogSyslog.java:35)
        at ch.loway.app.wombat.dialer.LogSyslog.log(LogSyslog.java:71)
        at ch.loway.app.wombat.dialer.DbLayer.logSyslog(DbLayer.java:299)
        at ch.loway.app.wombat.dialer.WombatDialerProcess.run(WombatDialerProcess.java:127)
        at ch.loway.oss.slicedbread.MessagingConsole$1.run(MessagingConsole.java:191)
        at java.lang.Thread.run(Thread.java:662)
May 20, 2016 2:15:04 PM ch.loway.app.wombat.dialer.WombatDialerProcess run
SEVERE: -- Inner Exception --

Please some help at least I could get to work the dialer with the my older wombat version.

mirkox

  • Loway
  • Full Member
  • *
  • Posts: 219
  • Karma: 3
    • View Profile
Re: wombat stop working after update to 0.9.5-77
« Reply #1 on: May 20, 2016, 20:50:30 »
Hi emel_punk,
we are aware of the problem and we are trying to fix it. At the moment we suggest you to rollback to the previous version (RPMs here: http://yum.loway.ch/RPMS/noarch/) as soon as possible we'll remove this version from the repo.

We are really sorry for the inconvenience

Mirko

QueueMetrics

  • Loway
  • Hero Member
  • *
  • Posts: 2993
  • Karma: 39
    • View Profile
    • QueueMetrics
Re: wombat stop working after update to 0.9.5-77
« Reply #2 on: May 21, 2016, 07:33:12 »
Please update to the current RPM version 0.9.5.1.
Do this:

Code: [Select]
yum clean all
yum update wombat

And it should immediately download and install 0.9.5.1.
Please let us know how it goes.

emel_punk

  • Jr. Member
  • **
  • Posts: 92
  • Karma: 0
    • View Profile
    • Email
Re: wombat stop working after update to 0.9.5-77
« Reply #3 on: May 29, 2016, 18:27:17 »
Many thanks for you support